## libmpdclient 2.19

=== meson_options.txt ===
option('default_socket', type: 'string',
  value: '/var/run/mpd/socket',
  description: 'The default MPD socket path')

option('default_host', type: 'string',
  value: 'localhost',
  description: 'The default MPD host')

option('default_port', type: 'string',
  value: '6600',
  description: 'The default MPD port')

option('tcp', type: 'boolean',
  value: true,
  description: 'Enable TCP support')

option('documentation', type: 'boolean',
  value: false,
  description: 'Build API documentation')

option('test', type: 'boolean',
  value: false,
  description: 'Enable unit tests')

## libmpdclient 2.16

=== debian/changelog ===
libmpdclient (2.16-0.1~mx17.1) mx; urgency=medium

  * New upstream release.
  * Build for MX-17.
  * Add ninja-build to build-depends.
  * Add "--buildsystem=meson" to dh arguments, so bump debhelper compat to 11 to
    support it.
  * Minimum version of meson in B-Ds is 0.47.
  * Add pkg-config to B-Ds.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Oct 2018 16:12:57 -0700

libmpdclient (2.14-0mx17) mx; urgency=medium

  * New upstream release
  * Build for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 02 May 2018 12:09:45 -0400

libmpdclient (2.11-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Pass a multiarch --libdir to ./configure (Closes: #871412).

  [ Sebastian Harl ]
  * New upstream version.
  * Update standards version to 4.1.1:
    - Update to debhelper compat version 10.
    - Remove build-dep on autotools-dev which has been subsumed by DH 10.
    - Use priority "optional" in place of deprecated "extra".
    - Override embedded-javascript-library lintian warning: doc embeds
      jquery.js which is a modified version from Doxygen.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 22 Oct 2017 13:57:42 +0200

libmpdclient (2.9-1) unstable; urgency=low

  * New upstream release (Closes: #671094).
  * debian/libmpdclient-dev.install:
    - Install the vapi file.
  * debian/libmpdclient2.symbols:
    - Updated for new upstream version.
  * debian/rules:
    - Split build target into build-arch and build-indep.
    - Use dpkg-buildflags to get CPPFLAGS and CFLAGS.
    - Use dh_autotools-dev* to update config.{sub,guess}; thanks to Matthias
      Klose for reporting and suggesting this (Closes: #727416).
  * debian/control:
    - Updated standards-version to 3.9.4.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 23 Nov 2013 19:53:49 +0100

libmpdclient (2.3-1) unstable; urgency=low

  * New upstream release.
    - Do not try to install GIF files from doc/api/html/ if none are available
      (doxygen no longer creates any GIF files since version 1.7 or so)
      (Closes: #590397).
  * debian/control:
    - Updated standards-version to 3.9.1 -- no changes.
  * debian/libmpdclient2.symbols:
    - Updated for 2.3.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 29 Jul 2010 20:39:38 +0200

libmpdclient (2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/libmpdclient2.symbols:
    - Updated for 2.2.
  * debian/control:
    - Updated to standards-version 3.8.4 -- no changes.
    - Let all packages depend on ${misc:Depends}, as suggested by debhelper.
  * debian/rules:
    - Let dh_makeshlibs create a dependency on libmpdclient2 >= 2.2, which is
      required since new functionality has been added.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 09 Jun 2010 18:44:12 +0200

libmpdclient (2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libmpdclient2.symbols:
    - Updated for 2.1.
  * debian/rules:
    - Run 'make check' unless the nocheck option has been specified in
      DEB_BUILD_OPTIONS.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 27 Dec 2009 00:09:08 +0100

libmpdclient (2.0-1) unstable; urgency=low

  * Initial release (Closes: #549646).

 -- Sebastian Harl <tokkee@debian.org>  Thu, 22 Oct 2009 00:51:34 +0200

=== debian/control ===
Source: libmpdclient
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Sebastian Harl <tokkee@debian.org>
Build-Depends: debhelper (>= 11~), doxygen, meson (>= 0.47), ninja-build,
               check, pkg-config
Standards-Version: 4.1.1
Homepage: http://mpd.wikia.com/wiki/ClientLib:libmpdclient
Vcs-Git: git://git.tokkee.org/pkg-libmpdclient.git
Vcs-Browser: http://git.tokkee.org/?p=pkg-libmpdclient.git

Package: libmpdclient-dev
Section: libdevel
Architecture: any
Depends: libc6-dev | libc-dev, libmpdclient2 (= ${binary:Version}),
 ${misc:Depends}
Description: client library for the Music Player Daemon (development files)
 libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
 offers a low-level asynchronous API which knowns the MPD protocol syntax as
 well as a higher level synchronous API implementing the MPD commands and
 parsing all responses.
 .
 This package contains the header files and the static library.

Package: libmpdclient2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: client library for the Music Player Daemon
 libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
 offers a low-level asynchronous API which knowns the MPD protocol syntax as
 well as a higher level synchronous API implementing the MPD commands and
 parsing all responses.
 .
 This package contains the shared library.

Package: libmpdclient2-dbg
Section: debug
Priority: optional
Architecture: any
Depends: libmpdclient2 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for libmpdclient2
 libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
 offers a low-level asynchronous API which knowns the MPD protocol syntax as
 well as a higher level synchronous API implementing the MPD commands and
 parsing all responses.
 .
 This package provides the debugging symbols for the shared library.

Package: libmpdclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: client library for the Music Player Daemon (API documentation)
 libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
 offers a low-level asynchronous API which knowns the MPD protocol syntax as
 well as a higher level synchronous API implementing the MPD commands and
 parsing all responses.
 .
 This package contains the API documentation.

=== debian/watch ===
version=3
http://www.musicpd.org/download/libmpdclient/(\d+)/libmpdclient-([0-9.]+)\.tar\.gz

## libmpdclient 2.17

=== debian/changelog ===
libmpdclient (2.17-1) unstable; urgency=medium

  * Import new upstream version 2.17
  * Update copyright years
  * Declare compliance with Debian Policy 4.4.1
  * Set upstream metadata fields: Repository, Repository-Browse
  * Add Multi-Arch markings as suggested by the hinter
  * Update symbols file with added symbols in 2.17
  * Mark as not-installed files that the build system installs but which we
    get through other means
  * Drop dbgsym migration complete after buster

 -- Florian Schlichting <fsfs@debian.org>  Fri, 06 Dec 2019 22:12:05 +0800

libmpdclient (2.16-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * update d/watch and enable pgpmode
  * Switch to source format 3.0 (quilt)

  [ Florian Schlichting ]
  * Import new upstream version 2.16 (Closes: #900513)

  [ Geoffroy Youri Berret ]
  * Update d/control:
    + debhelper-compat to 12
    + Standards-Version to 4.3.0
    + new Homepage
    + no more -dbg package
  * Drop obsolete lintian override
  * Update symbols
  * Switch to short-form debian/rules
  * Upstream no longer builds a static library
  * Refactored copyright (dep-5 machine-interpretable format)

  [ Florian Schlichting ]
  * Takeover for the mpd-team (Closes: #916729)
  * Make d/rules even shorter, keep installing NEWS and AUTHORS as before
  * Run build-time tests
  * Properly transition to dbgsym package

 -- Florian Schlichting <fsfs@debian.org>  Sat, 05 Jan 2019 20:25:06 +0100

=== debian/control ===
Source: libmpdclient
Section: libs
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Harl <tokkee@debian.org>, Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper-compat (= 12),
   check,
   cmake,
   meson (>= 0.47),
   doxygen,
   pkg-config
Standards-Version: 4.4.1
Homepage: https://www.musicpd.org/libs/libmpdclient/
Vcs-Browser: https://salsa.debian.org/mpd-team/libmpdclient
Vcs-Git: https://salsa.debian.org/mpd-team/libmpdclient.git

Package: libmpdclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmpdclient2 (= ${binary:Version}), ${misc:Depends}
Description: client library for the Music Player Daemon (development files)
 libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
 offers a low-level asynchronous API which knowns the MPD protocol syntax as
 well as a higher level synchronous API implementing the MPD commands and
 parsing all responses.
 .
 This package contains the header files.

Package: libmpdclient2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: client library for the Music Player Daemon
 libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
 offers a low-level asynchronous API which knowns the MPD protocol syntax as
 well as a higher level synchronous API implementing the MPD commands and
 parsing all responses.
 .
 This package contains the shared library.

Package: libmpdclient-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: client library for the Music Player Daemon (API documentation)
 libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
 offers a low-level asynchronous API which knowns the MPD protocol syntax as
 well as a higher level synchronous API implementing the MPD commands and
 parsing all responses.
 .
 This package contains the API documentation.

## libmpdclient 2.18

=== debian/changelog ===
libmpdclient (2.18-1) unstable; urgency=medium

  * Team upload

  * Update symbols file with added symbols in 2.18
  * Declare compliance with Debian Policy 4.5.0

 -- Geoffroy Youri Berret <efrim@azylum.org>  Mon, 17 Feb 2020 22:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
    meson (>= 0.47),
    doxygen,
    pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.musicpd.org/libs/libmpdclient/
 Vcs-Browser: https://salsa.debian.org/mpd-team/libmpdclient
 Vcs-Git: https://salsa.debian.org/mpd-team/libmpdclient.git

## libmpdclient 2.19

=== debian/changelog ===
libmpdclient (2.19-1) unstable; urgency=medium

  * Import new upstream version 2.19 (closes: #953110)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository (thanks
    lintin-brush)
  * Add Rules-Requires-Root: no
  * Update symbols file
  * Bump debhelper-compat to level 13

 -- Florian Schlichting <fsfs@debian.org>  Thu, 09 Jul 2020 17:35:20 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Florian Schlichting <fsfs@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
    check,
    cmake,
    meson (>= 0.47),
@@ -13,6 +13,7 @@
 Homepage: https://www.musicpd.org/libs/libmpdclient/
 Vcs-Browser: https://salsa.debian.org/mpd-team/libmpdclient
 Vcs-Git: https://salsa.debian.org/mpd-team/libmpdclient.git
+Rules-Requires-Root: no
 
 Package: libmpdclient-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Ddocumentation=true -Dtest=true

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs -A AUTHORS

## libmpdclient 2.20

=== debian/changelog ===
libmpdclient (2.20-1) unstable; urgency=medium

  * Team upload
  * Update symbols file
  * Declare compliance with Debian Policy 4.6.0
  * Update copyright years

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 27 Nov 2021 10:39:35 +0100

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
opts="pgpmode=auto" \
  https://www.musicpd.org/download/libmpdclient/2/ \
  libmpdclient-([\d\.]+)\.tar\.xz debian uupdate

## libmpdclient 2.22

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 option('default_socket', type: 'string',
-  value: '/var/run/mpd/socket',
+  value: '/run/mpd/socket',
   description: 'The default MPD socket path')
 
 option('default_host', type: 'string',

=== debian/changelog ===
libmpdclient (2.22-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:07:52 +0000

libmpdclient (2.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062422

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:13:45 +0000

libmpdclient (2.22-1) unstable; urgency=medium

  * Team upload
  * Vala bindings removed upstream
  * Update symbols file

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 22 Dec 2023 18:14:09 +0100

libmpdclient (2.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.21

 -- Geoffroy Youri Berret <kaliko@debian.org>  Wed, 20 Dec 2023 21:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libmpdclient
 Section: libs
 Priority: optional
-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Florian Schlichting <fsfs@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
    check,
    cmake,
    meson (>= 0.47),
    doxygen,
    pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://www.musicpd.org/libs/libmpdclient/
 Vcs-Browser: https://salsa.debian.org/mpd-team/libmpdclient
 Vcs-Git: https://salsa.debian.org/mpd-team/libmpdclient.git
@@ -19,7 +20,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmpdclient2 (= ${binary:Version}), ${misc:Depends}
+Depends: libmpdclient2t64 (= ${binary:Version}), ${misc:Depends}
 Description: client library for the Music Player Daemon (development files)
  libmpdclient provides an API for interfacing the Music Player Daemon (MPD). It
  offers a low-level asynchronous API which knowns the MPD protocol syntax as
@@ -28,7 +29,10 @@
  .
  This package contains the header files.
 
-Package: libmpdclient2
+Package: libmpdclient2t64
+Provides: ${t64:Provides}
+Replaces: libmpdclient2
+Breaks: libmpdclient2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

## libmpdclient 2.24

=== debian/changelog ===
libmpdclient (2.24-1) unstable; urgency=medium

  * d/watch: update to Version: 5 and point at GitHub
  * Import upstream version 2.24
  * Update symbols file
  * Drop Priority: optional, now default
  * Drop Rules-Requires-Root: no, now default
  * Declare compliance with Debian Policy 4.7.3
  * Update copyright years
  * Drop unused lintian override
  * Update Build-Depends: pkg-config => pkgconf

 -- Florian Schlichting <fsfs@debian.org>  Sun, 22 Feb 2026 00:21:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: libmpdclient
 Section: libs
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Florian Schlichting <fsfs@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
    check,
    cmake,
    meson (>= 0.47),
    doxygen,
-   pkg-config
-Standards-Version: 4.6.2
+   pkgconf
+Standards-Version: 4.7.3
 Homepage: https://www.musicpd.org/libs/libmpdclient/
 Vcs-Browser: https://salsa.debian.org/mpd-team/libmpdclient
 Vcs-Git: https://salsa.debian.org/mpd-team/libmpdclient.git
-Rules-Requires-Root: no
 
 Package: libmpdclient-dev
 Section: libdevel

=== debian/watch ===
Version: 5

Template: GitHub
Dist: https://github.com/MusicPlayerDaemon/libmpdclient
